Supprimer un lot de campagnes
curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/batch/archive"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lot
Delete campaigns
Ce point de terminaison d’API supprime un lot de campagnes. Le nombre maximum d’éléments dans une requête de lot est de 50. La réponse sera toujours 204 No Content, que les campagnes existent ou non, qu’elles aient été supprimées avec succès ou non, ou si seulement certaines des campagnes du lot ont été supprimées.
POST
/
marketing
/
v3
/
campaigns
/
batch
/
archive
Supprimer un lot de campagnes
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
application/json
Un tableau d'objets PublicCampaignDeleteInput, chacun spécifiant une campagne à supprimer. Chaque objet doit inclure l'identifiant unique de la campagne.
Show child attributes
Show child attributes
Réponse
Dernière modification le 31 mars 2026